meta-google: host-power-ctrl: Fix gpio errors

The return statements should have been exits.

Change-Id: I39a190250656ba676ea2ccbe570b88e3f18e5121
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
index 459eca7..4119801 100755
--- a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
+++ b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
@@ -15,7 +15,7 @@
 
 source /usr/share/gpio-host-pwr/lib.sh || exit
 
-gpio_build_cache 10 "$HOST_GPIO_PGOOD" || return 255
-pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || return 255
+gpio_build_cache 10 "$HOST_GPIO_PGOOD" || exit 255
+pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || exit 255
 echo "HOST_PGOOD=$pgood" >&2
 (( pgood == 0 ))